#include "bsp.h"

unsigned volatile int tics = 0;
unsigned volatile long tics_long = 0;

void __attribute__((interrupt))
timer_a0_handler ()
{
  tics ++;
  tics_long ++;
  ta0ic = 5;
}

static void __attribute__((constructor))
timer_A0_initialize ()
{
  ta0mr.b = 0;
#ifdef CLOCK_125KHz
  ta0 = 124;
#else
  ta0 = (CLOCK_HZ / 1000) - 1;
#endif
  ta0ic = 5;
  tabsr.ta0s = 1;
}

int
wait_ms (int ms)
{
  int now = tics;
  while ((int)(tics - now) < ms)
    ;
}
